#!/bin/bash  
  
# 安装软件包并逐行捕获输出  
package_file="$1"  
error_found=false  
  
yum_output=$(yum localinstall -y "$package_file" 2>&1)  

# 逐行处理yum的输出  
while IFS= read -r line; do  
    if $error_found; then  
        # 如果已经找到错误，继续捕获后续行  
        echo $line
    elif [[ $line == *"错误："* || $line == *"Error:"* ]]; then  
        # 如果找到错误消息，设置标志并开始捕获后续行  
        error_found=true  
        echo $line
    fi  
done <<< "$yum_output"  
  
# 根据错误消息的存在与否输出相应信息  
if $error_found; then  
    echo "error"  
else  
    echo "success"  
fi  
  
exit 0

